%def_disable static
%def_enable sctp
%def_with glib
%def_with doxygen
%def_with check

Name: sofia-sip
Version: 1.12.8
Release: alt1.1

Summary: Sofia SIP User-Agent library 
License: LGPL v2.1+
Group: System/Libraries
URL: http://sofia-sip.sourceforge.net/

Source0: %name-%version.tar.gz

Patch0: sofia-sip-1.12.7-alt-linking.patch

Packager: Igor Zubkov <icesik@altlinux.org>

# Automatically added by buildreq on Thu Dec 06 2007
#BuildRequires: doxygen fonts-ttf-dejavu gcc-c++ gcc-fortran glib2-devel glibc-devel-static graphviz libssl-devel net-tools util-linux-ng
BuildRequires: gcc-c++ libssl-devel net-tools

%if_with doxygen
BuildRequires: doxygen graphviz fonts-ttf-dejavu
%endif

%if_with glib
BuildRequires: glib2-devel
%endif

%description
Sofia SIP is a RFC-3261-compliant library for SIP user agents and other
network elements.

%if_with glib
%package glib
Summary: GLIB bindings for Sofia-SIP 
Group: System/Libraries
Requires: sofia-sip = %version-%release

%description glib
GLib interface to Sofia SIP User Agent library.
%endif

%package devel
Summary: Sofia-SIP Development Package
Group: Development/C
Requires: sofia-sip = %version-%release

%description devel
Development package for Sofia SIP UA library. This package includes 
static libraries and include files.

%if_with doxygen
The reference documentation for Sofia SIP UA library is available at 
<http://sofia-sip.sourceforge.net/development.html>
%endif

%if_with glib
%package glib-devel
Summary: GLIB bindings for Sofia SIP development files
Group: Development/C
Requires: sofia-sip-glib = %version-%release
Requires: sofia-sip-devel = %version-%release

%description glib-devel
Development package for Sofia SIP UA Glib library. This package includes
static libraries and include files for developing glib programs using Sofia
SIP.
%endif

%package docs
Summary: Sofia-SIP Development Manual Package
Group: Documentation

%description docs
HTML reference documentation for Sofia SIP UA library.

%package utils
Summary: Sofia-SIP Command Line Utilities
Group: Networking/Other
Requires: sofia-sip = %version-%release

%description utils
Command line utilities for Sofia SIP UA library.

%prep
%setup -q
%patch0 -p1

%build
%autoreconf
%configure \
	%{subst_enable static} \
%if_with sctp
	--enable-sctp \
%else
	--disable-sctp \
%endif
	%{subst_enable glib}
%make_build

%if_with doxygen
make doxygen
%endif

%if_with check
make check || exit 1
%endif

%install
%make_install DESTDIR=%buildroot install

%if_with doxygen
# Manually install development docs into manual
cp -pr libsofia-sip-ua/docs/html manual
%endif

%post -p %post_ldconfig
%postun -p %postun_ldconfig

%if_with glib
%post glib -p %post_ldconfig
%postun glib -p %postun_ldconfig
%endif

%files
%doc AUTHORS COPYRIGHTS README* ChangeLog* RELEASE TODO
#doc libsofia-sip-ua/ChangeLog
%_libdir/libsofia-sip-ua.so.*

%if_with glib
%files glib
%doc libsofia-sip-ua-glib/ChangeLog
%_libdir/libsofia-sip-ua-glib.so.*
%endif

%files devel
%_libdir/libsofia-sip-ua.so
%dir %_includedir/sofia-sip*
%dir %_includedir/sofia-sip*/sofia-sip
%_includedir/sofia-sip*/sofia-sip/*.h
%_includedir/sofia-sip*/sofia-sip/*.h.in
%dir %_includedir/sofia-sip*/sofia-resolv
%_includedir/sofia-sip*/sofia-resolv/*.h
%dir %_datadir/sofia-sip
%_datadir/sofia-sip/tag_dll.awk
%_datadir/sofia-sip/msg_parser.awk
%_pkgconfigdir/sofia-sip-ua.pc

%if_with glib
%files glib-devel
%_includedir/sofia-sip*/sofia-sip/su_source.h
%_libdir/libsofia-sip-ua-glib.so
%_pkgconfigdir/sofia-sip-ua-glib.pc
%endif

%if_with doxygen
%files docs
%doc manual
%endif

%files utils
%_bindir/localinfo
%_bindir/addrinfo
%_bindir/sip-options
%_bindir/sip-date
%_bindir/sip-dig
%_bindir/stunc
%_man1dir/*

%changelog
* Sat Aug 09 2008 ALT QA Team Robot <qa-robot@altlinux.org> 1.12.8-alt1.1
- Automated rebuild due to libssl.so.6 -> libssl.so.7 soname change.

* Sun Mar 09 2008 Igor Zubkov <icesik@altlinux.org> 1.12.8-alt1
- 1.12.7 -> 1.12.8

* Wed Dec 05 2007 Igor Zubkov <icesik@altlinux.org> 1.12.7-alt1
- build for Sisyphus

* Thu Dec  7 2006 Pekka Pessi <ppessi at gmail.com> - 1.12.4-1
- Silenced all rpmlint warnings on FC6.

* Wed Dec  6 2006 Pekka Pessi <ppessi at gmail.com> - 1.12.4-0
- Fixing optional values on Fedora. rpmlinted. No doxygen docs.

* Tue Dec  5 2006 Pekka Pessi <ppessi at gmail.com> - 1.12.4
- Bumped version. rpmlinted.

* Tue Dec  5 2006 Kai Vehmanen <first.lastname at nokia.com>
- The 'nua-glib' module, and the related dependency to gobject, has been 
  removed from the sofia-sip package

* Fri Oct  6 2006 Pekka Pessi <ppessi at gmail.com> - 1.12.3
- Autodetecting openssl, glib and gobject support with pkg-config
  (use --with openssl --with glib and --with gobject to force them)

* Mon Sep 18 2006 Kai Vehmanen <first.lastname at nokia.com>
- Removed *.m4 files from the distribution package.

* Fri Aug 11 2006 Kai Vehmanen <first.lastname at nokia.com>
- Modified the install location of the awk scripts.

* Thu Jun 15 2006 Kai Vehmanen <first.lastname at nokia.com>
- Added library soname to sofia-sip-glib package name.
- Modified dependencies - the glib subpackages do not depend
  on a specific version of sofia-sip anymore.

* Wed Mar 08 2006 Kai Vehmanen <first.lastname at nokia.com>
- Added libsofia-sip-ua-glib to the package.

* Tue Nov 15 2005 Kai Vehmanen <first.lastname at nokia.com>
- Removed the --includedir parameter. The public headers are
  now installed under includedir/sofia-sip-MAJOR.MINOR/

* Thu Oct 20 2005 Pekka Pessi <first.lastname at nokia.com>
- Using %%{_lib} instead of lib

* Thu Oct  6 2005 Pekka Pessi <first.lastname at nokia.com>
- Added sub-package utils

* Thu Oct  6 2005 Pekka Pessi <first.lastname at nokia.com> - 1.11.0
- Added %%{?dist} to release

* Sat Jul 23 2005 Pekka Pessi <first.lastname at nokia.com> - 1.10.1
- Initial build.
